Bug 4075 - /etc/cron.daily/tmpwatch should have a --force flag
/etc/cron.daily/tmpwatch should have a --force flag
Product: Red Hat Linux
Classification: Retired
Component: tmpwatch (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1999-07-16 11:29 EDT by Göran Uddeborg
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-09-01 21:23:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 1999-07-16 11:29:52 EDT
tmpwatch by default doesn't remove files to which root does
not have write access.  Formatted pages under /var/catman
are created writable only for members of group "man".
Therefore those pages are not removed by the command in

I suggest to add the "--force" flag to this command.  This
would make the command remove old formatted manual pages, as
well as other old files failing the writability test.
Comment 1 Preston Brown 1999-08-30 16:32:59 EDT
the 6.0 version of tmpwatch _does_ include the -f flag for directories
Comment 2 Göran Uddeborg 1999-09-01 16:27:59 EDT
Are you really sure?  In the stock 6.0 version?

22:22 uebn> rpm -q tmpwatch
22:22 uebn> rpm -V tmpwatch
22:22 uebn> cat /etc/cron.daily/tmpwatch
/usr/sbin/tmpwatch 240 /tmp /var/tmp /var/catman/cat?
Comment 3 Preston Brown 1999-09-01 21:23:59 EDT
No, you are right and I was incorrect.  But we have changed it to the
behaviour you indicate for our next release.  Sorry for the confusion.

Note You need to log in before you can comment on or make changes to this bug.